#include <stdio.h>
#include <dlfcn.h>

typedef void (FuncType)();

int main()
{
	void* p = dlopen("./sodir/lib1.so",RTLD_LAZY);
	if(p == NULL){
		perror("dlopen lib1.so failed");
		return 0;
	}
	FuncType* f1 = (FuncType*)dlsym(p,"func1");
	if(f1 == NULL){
		perror("dlsym func1 failed");
		return 0;
	}
	f1();
	dlclose(p);
	return 0;
}

